[Overview][Constants][Types][Classes][Index] | Reference for unit 'Zipper' (#fcl)

# TDeflater.Compress

Performs compression using the Deflate algorithm

## Declaration

Source position: zipper.pp line 335

`public procedure TDeflater.Compress; override;`

## Description

Creates a temporary TCompressionStream instance using the compression level specified in the CompressLevel property. Compress signals the OnProgress event handler (when assigned) when the number of bytes representing the OnPercent threshold are processed in the method.